Bug 122605 - accidental triple-clicks kill the installer dead
accidental triple-clicks kill the installer dead
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks: 133260
  Show dependency treegraph
 
Reported: 2004-05-06 02:52 EDT by Barry K. Nathan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:45:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump from my first encounter with this bug (655.28 KB, text/plain)
2004-05-06 02:55 EDT, Barry K. Nathan
no flags Details
dump from another instance of this bug (648.79 KB, text/plain)
2004-05-06 02:57 EDT, Barry K. Nathan
no flags Details
a traceback from anaconda-10.0.1-2 (782 bytes, text/plain)
2004-07-10 08:14 EDT, Barry K. Nathan
no flags Details
another traceback from anaconda 10.0.1-2 (623.80 KB, text/plain)
2004-07-14 08:27 EDT, Barry K. Nathan
no flags Details
a traceback from anaconda-10.0.2-0.20040713173734 (621.55 KB, text/plain)
2004-07-16 08:00 EDT, Barry K. Nathan
no flags Details
traceback from FC3 final (10.0.2-1) (724.92 KB, text/plain)
2005-02-17 08:36 EST, Barry K. Nathan
no flags Details
traceback from 2nd attempt on RHEL 4 WS (10.1.1.13-1) (690.38 KB, text/plain)
2005-02-17 10:24 EST, Barry K. Nathan
no flags Details

  None (edit)
Description Barry K. Nathan 2004-05-06 02:52:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040301 Firefox/0.8

Description of problem:
Accidentally clicking the "Next" button two-three (or more) times in
succession, rather than just once, can trigger weird tracebacks and
completely kill the installation.

Version-Release number of selected component (if applicable):
anaconda-9.93-0.20040430011915

How reproducible:
Always

Steps to Reproduce:
1. Begin an install.
2. [Optional?] Reinstall rather than upgrade, if you are offered the
option. Do a "Custom" install.
3. [Optional?] At the package selection screen, choose "Minimal".
4. Instead of clicking "Next" once on the package selection screen,
rapidly click it many times. (I discovered the issue because I clicked
Next 3 times rapidly by accident.)
    

Actual Results:  Install proceeds, and maybe even reboots without
further user intervention (hey, the button did get clicked a zillion
times, it's reasonable for anaconda to respond to all of those clicks)

Expected Results:  Weird tracebacks. I will attach two different
tracebacks to this bug. (I may attach more, should I run into them.)

Additional info:
Comment 1 Barry K. Nathan 2004-05-06 02:55:00 EDT
Created attachment 100031 [details]
anaconda dump from my first encounter with this bug

FWIW, in this case I had "xfs" on the command line. However, the second dump
(which I will upload in a few minutes) was reproduced without that option.
Comment 2 Barry K. Nathan 2004-05-06 02:57:53 EDT
Created attachment 100032 [details]
dump from another instance of this bug

This time I did not use the "xfs" command line option. It exploded in a
different place, but it exploded nonetheless.
Comment 3 Barry K. Nathan 2004-05-06 03:03:08 EDT
Oops, I accidentally swapped "Actual" and "Expected" results when I
created this bug. Sorry about that.
Comment 4 Barry K. Nathan 2004-07-10 07:08:59 EDT
Alternate steps to reproduce (easier to perform and possibly more
deterministic than the original steps):

1. See original bug report.
2. See original bug report.
3. Choose an "Everything" package selection.
4. While it's sitting there, quickly click on the Next button several
times.
5. Sit back and wait for the traceback... Once the traceback appears
on the screen, your mouse may even stop functioning and you may have
to use the keyboard for navigation.
Comment 5 Barry K. Nathan 2004-07-10 08:14:20 EDT
Created attachment 101779 [details]
a traceback from anaconda-10.0.1-2

(I typed this one up by hand because of bug 127064)
Comment 6 Barry K. Nathan 2004-07-14 08:27:17 EDT
Created attachment 101893 [details]
another traceback from anaconda 10.0.1-2

This is a different traceback than my previous one from anaconda 10.0.1-2. BTW,
this is with "linux selinux=0".
Comment 7 Barry K. Nathan 2004-07-16 08:00:37 EDT
Created attachment 101958 [details]
a traceback from anaconda-10.0.2-0.20040713173734
Comment 8 Jeremy Katz 2005-02-01 18:20:10 EST
Barry -- still seeing this?
Comment 9 Barry K. Nathan 2005-02-16 07:14:13 EST
Oops, somehow I missed comment #8 until now.

I need to retest. I'll aim for doing it this weekend.
Comment 10 Barry K. Nathan 2005-02-17 08:36:43 EST
Created attachment 111158 [details]
traceback from FC3 final (10.0.2-1)

It took me only one try to reproduce on FC3 final. This is the traceback from
that one attempt.

I've downloaded RHEL 4 (WS and Desktop), and I'm downloading the latest
fc-devel right now. I'll see if I can try one of those later this morning
(although I may not be able to).
Comment 11 Barry K. Nathan 2005-02-17 10:24:52 EST
Created attachment 111160 [details]
traceback from 2nd attempt on RHEL 4 WS (10.1.1.13-1)

My first install with RHEL 4 WS was off CD's. That failed to reproduce the bug.
My second install was over NFS, and that did reproduce it (and this attachment
is the traceback). There's an extra dialog box with a CD install, telling you
which CD's will be required. Perhaps that dialog box keeps the bug from
happening in that case.

IIRC my FC3-test installs which reproduced this bug were over NFS and HTTP. My
FC3 traceback from earlier today was off a DVD. In the next couple of days I'll
burn a set of FC3 install CD's and see if that fails the way the DVD did.

fc-devel has finished downloading now. I'll try to test that (over NFS) later
this morning, but I don't guarantee that I'll get around to it.
Comment 12 Barry K. Nathan 2005-02-17 11:36:38 EST
I cannot reproduce this on fc-devel.

In fact, I'm seeing what could be considered the opposite problem: After
clicking Next on one screen, on the following screen I sometimes have to move
the mouse pointer off the Next button and back onto the Next button before that
button responds to mouse clicks again. (At least this doesn't bring the entire
installer down, however.) Should I file another Bugzilla for that problem?
Comment 13 Paul Nasrat 2005-02-24 02:46:26 EST
Barry, 

Yes please open another bug for having to move focus then click next.  I'll try
and figure what might have fixed this (I'm guessing X the mini-wm fixup).  If I
provide an updates.img for fc3 could you test it out?
Comment 14 Barry K. Nathan 2005-02-24 11:43:21 EST
Ok, I'll open another bug, but it might be a few days before I get around to it.
Likewise, I can test an updates.img for FC3.
Comment 15 Paul Nasrat 2005-02-24 12:34:38 EST
Thanks Barry.  I'll get you an updates.img next week, post FOSDEM.
Comment 16 Jeremy Katz 2005-04-19 14:45:11 EDT
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.
Comment 17 Barry K. Nathan 2005-05-19 03:21:37 EDT
Oops, I didn't notice this bug got closed. Reopening for FC3 (I was waiting for
a response to comment #15).

Regarding comment #14: I need to retest with a current rawhide.

Note You need to log in before you can comment on or make changes to this bug.